2.11 Authentification System error 

2015-09-29 08:45 PM - Randal Hale

Status: Closed

Priority: Normal

Assignee: Larry Shaffer

Category: Authentication system

Affected QGIS version:master Regression?: No

Operating System: Ubuntu Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21501

Description

I'm getting two SSL errors on startup - I'm ignoring them both upon startup to get QGIS up and running. The first one that pops up is

complaining the Authentification System is Disabled because the QCA's OpenSSL Plugin is missing. I can't find a plugin of that type (but

haven't checked experimental. Once QGIS is up I can go to Settings -> Options and crash QGIS.

Related issues:

Related to QGIS Application - Bug report # 13507: Trying to access options me... Closed 2015-10-04

History

#1 - 2015-09-29 11:18 PM - Giuseppe Sucameli

It's not a QGIS plugin, but a QCA one. On Ubuntu just install libqca2-plugin-ossl :

sudo apt-get install libqca2-plugin-ossl

BTW the crash shouldn't happen.

#2 - 2015-09-30 06:10 AM - Randal Hale

Did the update and only received the first menu which is the "Custom certificate Configuration". Somehow that needs to be hidden or something without

that being the first thing a user sees. It's confusing.

Crashing stopped also with the libqca2-plugin-ossl piece being installed. I can now go to settings -> options and all is good.

#3 - 2015-10-06 02:44 PM - Larry Shaffer

- Assignee set to Larry Shaffer

#4 - 2015-10-06 02:45 PM - Larry Shaffer

Should be fixed with issue #13507 commits. Please verify.

#5 - 2015-10-07 01:50 PM - Larry Shaffer

The commit I noted should fix the crash when the plugin is missing. It will not help install the missing plugin, which the packager/user needs to manage.
#6 - 2015-10-14 06:42 PM - Larry Shaffer

- Status changed from Open to Feedback

#7 - 2015-12-19 02:30 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

closing for lack of feedback.
